TIREX-BATCH(1)

NAME
tirex-batch - send rendering requests to tirex master

SYNOPSIS
tirex-batch [OPTIONS] [INIT]

OPTIONS

-h, --help
    Display help message.

-d, --debug
    Run in debug mode. You'll see the actual messages sent and received.

-c, --config=DIR
    Use the config directory DIR instead of /etc/tirex.

-n, --num=NUM
    Try to keep the number of jobs in the queue below this number (Only checked once per second). Disable with NUM=0.

-q, --quit
    Quit if the number of jobs in the queue is higher than the number given with -n. Without -q, tirex-batch would wait, and continue to fill the queue once it has gone below the threshold.

-p, --prio=PRIO
    Priority for requests.

-e, --expire=TIME
    Expire time (seconds since epoch) for jobs. If it starts with '+', number of seconds added to current time.

-f, --filter
    Add filters to metatile selection, see section FILTERS.

--remove
    Send remove request instead of rendering request. Jobs will be removed from the queue.

--count-only
    Only count how many metatiles would be rendered, do not actually send the requests. This will take the filters into account, so it will possibly check the disk for thousands of files!

DESCRIPTION
INIT is a string describing a range of tiles. If no INIT string is given on the command line, tirex-batch reads init strings from STDIN, one per line.

Several different ways of describing the tiles are allowed:

Single metatile:
 map=foo x=4 y=7 z=15 (coordinates will be rounded to metatile numbers)

Multiple metatiles:
 map=foo x=0-32 y=16-32 z=15

Using longitude and latitude ranges (8 to 9 degrees longitude, 48 to 49 degrees latitude)
 map=foo lon=8,9 lat=48,49 z=15-17

Using a bounding box (8 to 9 degrees longitude, 48 to 49 degrees latitude)
 map=foo bbox=8,48,9,49 z=15-17

Multiple maps are allowed, too:
 map=foo,bar

You can use a z range (z=10-15). This does not work together with x and y ranges, but works with lon/lat ranges.

Ranges of x, y, and z numbers are written as "MIN,MAX" or "MIN-MAX". Ranges of lon and lat are written as "MIN,MAX" (lon and lat can be negative, so range with "-" is problematic).

You can also just give a pathname of a metatile file as INIT string. It has to start with './' or '/'. The first directory component must be the name of the map.

FILTERS
FILTER is a ;-separated list of filter options. Metatiles not matching the filter are skipped.

Filter Options:

exists
    Matches if the meta tile exists on disk.

not-exists
    Matches if the meta tile does not exist on disk.

older(time)
    Matches if the meta tile's last modification time is before the given Unix time stamp (seconds since the epoch, 1970-01-01 00:00:00). Also matches if the meta tile does not exist on disk. If you want to match only files older than the given date which do actually exist, add the exists filter.

older(filename)
    Instead of the time in seconds since the epoch you can also enter a filename here. The mtime (last modified) of this file will be used. tirex-batch will exit with return code 2 if the file does not exist.

newer(time)
    Matches if the meta tile's last modification time is after the given Unix time stamp (seconds since the epoch, 1970-01-01 00:00:00). Also matches if the meta tile does not exist on disk. If you want to match only files newer than the given date which do actually exist, add the exists filter.

newer(filename)
    Instead of the time in seconds since the epoch you can also enter a filename here. The mtime (last modified) of this file will be used. tirex-batch will exit with return code 2 if the file does not exist.

multi(count,num)
    A magic filter that divides all meta tiles up in count classes, and matches only if the current meta tile is in class num of these. Hence the allowed range for num is always 0..count-1. Currently only count=2 is supported. This filter can be used to distribute rendering requests among different tile servers (which may or may not then use tirex-syncd to share resulting tiles).

FILES

/etc/tirex/tirex.conf
    The configuration file.

DIAGNOSTICS
Returns 0 on success, 1 if there was a problem sending the request and 2 if there was a problem parsing the command line or init string.

SEE ALSO
<http://wiki.openstreetmap.org/wiki/Tirex>

AUTHORS
Frederik Ramm <frederik.ramm@geofabrik.de>, Jochen Topf <jochen.topf@geofabrik.de> and possibly others.